/* eslint-disable react/prop-types */
/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import * as knobs from '@storybook/addon-knobs/react';
import Carousel from '../index';
import defaultNotes from './Carousel.md';
import styles from './stories.style.scss';

const stories = storiesOf('Carousel', module);

stories.addDecorator(knobs.withKnobs);

stories.add(
  '預設',
  withNotes(defaultNotes)(
    withInfo()(() => {
      return (
        <Carousel>
          <div className={styles.slide}>A</div>
          <div className={styles.slide}>B</div>
          <div className={styles.slide}>C</div>
        </Carousel>
      );
    })
  )
);
