import React from 'react';
import ReactServerDOM from 'react-dom/server';
import ReactClientDOM from 'react-dom';
import Crypto from './components/Crypto/Crypto';

if (typeof document !== 'undefined') {
  const container = document.getElementById('crypto');

  ReactClientDOM.hydrate(<Crypto />, container);
}

const cryptoHtml = ReactServerDOM.renderToString(<Crypto />);

module.exports = function render() {
  return {
    crypto: `
    <html><head><meta charset="utf-8"><link rel="stylesheet" href="crypto.css"/></head>
    <body><div id="crypto">${cryptoHtml}</div></body><script src="crypto.js"></script></html>`,
  };
};
